# PDF文件合并脚本

将多个PDF文件合并为一个文件，可以指定要合并的页码

用法示例：`python3 pdf_merge.py -i file1.pdf,1-3 file2.pdf -o out.pdf`

上述指令将`file1.pdf`的`1`到`3`页，`file2.pdf`的所有页面顺序合并到`out.pdf`文件中

## 参数说明

- `-i` 参数用来指定需要合并的文件，可以指定多个文件，每个文件用空格隔开，文件名后面用逗号开始指定页码，两个页码之间用`-`横杠分开，如果不指定页码则合并所有页面；

- `-o` 参数用来指定输出文件的名称。

## 依赖包安装

此脚本依赖`PyPDF2`，需要先使用下面的命令先安装

```bash
pip install PyPDF2
```
